[Tkinter-discuss] Tix question [possibly off-topic]

Michael Lange klappnase at web.de
Wed Mar 29 11:16:01 CEST 2006


On Tue, 28 Mar 2006 16:09:36 -0500 (EST)
Gerardo Juarez <gerardo at computo-industrial.com.mx> wrote:

> 
> Hi,
> 
> I need widgets which are a bit more elaborated than what Tk offers as 
> standard. I checked Tix and it works well in Linux. The problem is with 
> Windows, because the Tix documentation says Tix is installed with 2.2.2,
> the source Tix.py is broken and should be replaced with the source from 
> the distribution. There is, in fact, a Tix.py file in the 'site-packages' 
> folder, but replacing it does not make it work. This is the source and the 
> error:
> 
> import Tix
> root = Tix.Tk()
> 
> Traceback (most recent call last):
>   File "<pyshell#1>", line 1, in ?
>     root = Tix.Tk()
>   File "C:\PYTHON22\lib\lib-tk\Tix.py", line 211, in __init__
>     self.tk.eval('package require Tix')
> TclError: can't find package Tix
> 
>

Hi Gerardo,

I think the above refers to the python Tix module only, not the tk extension.
As far as I know they added this to the python distro later, with Python-2.3 or -2.4. So I think you might consider
to upgrade python; if this is not an option you can install IDE-studio which should install
the tix binaries into Python-2.2 (at least I got it working this way a while ago). You can
find the IDE-studio installer somewhere on the Tix pages.

I hope this helps

Michael


More information about the Tkinter-discuss mailing list